#pragma once
#include <vector>
#include <opencv2\opencv.hpp>
using namespace std;
using namespace cv;

class BezierCurve
{
private:
	std::vector<double> FactorialLookup;
	double Ni(int n, int i);
	double Bernstein(int n, int i, double t);
public:
	BezierCurve();
	double factorial(int n);
	std::vector<cv::Point2f> Bezier2D(cv::Point2f a, cv::Point2f b, cv::Point2f c, cv::Point2f d);
	std::vector<double> Bezier2D(std::vector<double> b, int cpts);
};